Infrastructure - Story #1517

ClLogon authentication service should be replicated
2011-05-03 19:22 - Matthew Jones

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Matthew Jones % Done: 100%
Category: d1_identity_manager Estimated time: 0.00 hour

Target version:

Story Points:

Description

The current ClLogon authentication system is hosted on multiple hardware systems in lllinois, but it is a single point of failure if the
University internet connection is compromised. We should replicate the ClLogon authentication service to provide redundancy. To
do this, we would need to install ClLogon services at probably one (or all?) Coordinating Nodes, and these would act as a backup in
case the ClLogon service is down. There would need to be a high degree pf physical security for the machines, but we would still
probably issue certificates with a different CA to distinguish them from the current ClLogon highly trusted service. For example, we
might have a CA called the "ClLogon DataONE Replicated Certificate Authority Silver" and one analogous for Basic.

This needs considerably more discussion and design with Jim Basney and Randy Butler before it could be designed and
implemented.

History

#1 - 2011-05-03 19:27 - Matthew Jones
- Category set to d1_identity_manager

- Assignee set to Matthew Jones

#2 - 2011-05-03 22:07 - Matthew Jones

- Subject changed from CILogon replication service should be replicated to CILogon authentication service should be replicated

#3 - 2011-08-30 01:54 - Dave Vieglais
- Position set to 26

- Position deleted (67)

#4 - 2012-01-06 04:03 - Dave Vieglais
- Position deleted (114)

- Position set to 12

#5 - 2014-10-02 17:18 - Dave Vieglais
- Milestone set to None

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

Redundancy is being put in place by ClLogon at numerous locations.
